function OnInit()

	this:SetVisualProfile("~/iso-priest.xml", "isopriest");
	this:LoadCollisionInfo("~/iso-priest.col");
	this:SetCategory(C_CATEGORY_CHARACTER, true);
	this:SetCategory(C_CATEGORY_ENTITY, false);
	this:SetDesiredSpeed(4);
	
end

function OnPostInit()

	this:GetBrainManager():Add("StandardBase","");
	this:GetBrainManager():SetStateByName("Idle");
	this:SetVisibilityNotifications(true);
	
end

function OnCollision(vPosition, vVelocity, vNormal, depth, materialID, entity, state)
  
return;
end

function OnGetVisible()

	ThinkOfSomethingToDo();

end

function OnLoseVisible()
	GetWatchManager:Add(this, 1000*5);
end

function ThinkOfSomethingToDo()
		
		this:GetGoalManager():RemoveAllSubgoals();
		
		local newgoal = this:GetGoalManager():PushNewGoal("BaseThink");
 	   
		newgoal:PushRunScriptString('ThinkOfSomethingToDo();'); 	    
 	    newgoal:PushDelay(1000);
 	    newgoal = this:GetGoalManager():PushNewGoal("Roam");
		
 	    LookAtTrees(newgoal, "Tree" .. math.random(4));

end

function LookAtTrees(goal, name)

       goal:AddApproach(GetEntityIDByName(name), C_DISTANCE_TALK);   

end
